*+
*+
*+    Source Module => VAREXIST.PRG
*+
*+    Functions: Function VarExist()
*+
*+    Reformatted by Click! 1.08 on Jun-21-1997 at  9:53 pm
*+
*+

/*
From: Mario Endara <softwork@cs.com.uy>
Newsgroups: comp.lang.clipper
Subject: Re: A question about variables in Clipper

Flood wrote:
> 
> Hi,
> Is there a way to see if a variable exists at all or not in clipper ?
> As an example, say a function is supposed to read some info from a file
> and create some variables based upon the contents... (store 0 to &Blah)
> now in the main program I want to see if a certain variable is made or
> not (variable names change, that's why I have to make them indirectly).
> Thanks in advance
> Ben

I think this function will help you:
*/

/********
*
* VarExist( cVar ) --> .T./.F.
*
********/

*+
*+
*+    Function VarExist()
*+
*+
*+
function VarExist( cTest )

local bLastHandler := errorblock( { | ObjError | break( ObjError ) } )
local lExist := .T.
local ObjError
local nRow := row()
local nCol := col()

begin sequence

   setpos( 255, 255 )
   qqout( &cTest )

   recover USING ObjError

   lExist := .F.

end sequence

errorblock( bLastHandler )

setpos( nRow, nCol )

return lExist

*+ EOF: VAREXIST.PRG
